#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct BatchSizeTooLarge {
    #[serde(rename = "requestedSize")]
    requested_size: i32,
    #[serde(rename = "maxBatchSize")]
    max_batch_size: i32,
}
impl BatchSizeTooLarge {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(requested_size: i32, max_batch_size: i32) -> Self {
        Self::builder()
            .requested_size(requested_size)
            .max_batch_size(max_batch_size)
            .build()
    }
    #[inline]
    pub fn requested_size(&self) -> i32 {
        self.requested_size
    }
    #[inline]
    pub fn max_batch_size(&self) -> i32 {
        self.max_batch_size
    }
}
impl conjure_error::ErrorType for BatchSizeTooLarge {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "DataSource:BatchSizeTooLarge"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["maxBatchSize", "requestedSize"]
    }
}
